Skip to main content
GET
/
organizations
/
{id}
/
roles
Get organization roles
curl --request GET \
  --url https://api.wacht.dev/organizations/{id}/roles \
  --cookie session_id=
{
  "status": 200,
  "message": "",
  "data": [
    {
      "id": "444444444444444444",
      "organization_id": "123456789012345678",
      "name": "Admin",
      "permissions": [
        "organization:admin",
        "organization:manage_members"
      ],
      "is_system_role": false,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Organization ID

Response

Roles retrieved successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object[]
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)